> ## Documentation Index
> Fetch the complete documentation index at: https://docs.interactly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create New Contact

> Create a new contact for the team.
- **body**: The contact data including first_name, last_name, phone_number, and optional email and dob.



## OpenAPI

````yaml https://api-prod.interactly.ai/api-docs/campaigns/api.json post /campaigns/v1/contacts
openapi: 3.1.0
info:
  title: Interactly API
  description: API for building interactly.ai services
  version: 1.1.0
  contact:
    name: Interactly
    url: https://interactly.ai
    email: developers@interactly.ai
servers:
  - url: https://api-prod.interactly.ai
    description: API Server
security: []
paths:
  /campaigns/v1/contacts:
    post:
      tags:
        - Contacts
      summary: Create New Contact
      description: >-
        Create a new contact for the team.

        - **body**: The contact data including first_name, last_name,
        phone_number, and optional email and dob.
      operationId: campaigns_service_create_new_contact_v1_contacts_post
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ContactCreateRequest'
              description: Contact data
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - bearer: []
components:
  schemas:
    ContactCreateRequest:
      properties:
        first_name:
          type: string
          title: First Name
          description: Contact's first name
        last_name:
          type: string
          title: Last Name
          description: Contact's last name
        phone_number:
          type: string
          title: Phone Number
          description: Contact's phone number
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
          description: Contact's email address
        dob:
          anyOf:
            - type: string
            - type: 'null'
          title: Dob
          description: Contact's date of birth in YYYY-MM-DD format
        notification_preferences:
          anyOf:
            - $ref: '#/components/schemas/NotificationPreferences'
            - type: 'null'
          description: Notification preferences for the contact
      type: object
      required:
        - first_name
        - last_name
        - phone_number
      title: ContactCreateRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    NotificationPreferences:
      properties:
        call:
          $ref: '#/components/schemas/ChannelPreference'
          title: Call
          description: Phone call notification preferences
        sms:
          $ref: '#/components/schemas/ChannelPreference'
          title: SMS
          description: SMS notification preferences
        email:
          $ref: '#/components/schemas/ChannelPreference'
          title: Email
          description: Email notification preferences
      type: object
      title: Notification Preferences
      description: Notification preferences
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ChannelPreference:
      properties:
        enabled:
          type: boolean
          title: Enabled
          description: Whether this channel is opted in
          default: true
        dnd:
          anyOf:
            - items:
                $ref: '#/components/schemas/DNDEntry'
              type: array
            - type: 'null'
          title: Do Not Disturb
          description: Per-resource DND settings keyed by resource ID
      type: object
      title: ChannelPreference
    DNDEntry:
      properties:
        sourceId:
          type: string
          title: Sourceid
          description: Source ID that set the DND
        enabled:
          type: boolean
          title: Enabled
          description: Whether DND is active for this resource
        sourceType:
          $ref: '#/components/schemas/DNDSourceType'
          title: Source Type
          description: The source that set the DND
        sourceName:
          type: string
          title: Sourcename
          description: Source name that set the DND
        reason:
          type: string
          title: Reason
          description: Reason for setting DND
        until:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Until
          description: DND expiry time; None means indefinite
      type: object
      required:
        - sourceId
        - enabled
        - sourceType
        - sourceName
        - reason
      title: DNDEntry
    DNDSourceType:
      type: string
      enum:
        - team
        - assistant
        - campaign
        - workflow
        - other
      title: DNDSourceType
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: Bearer
      type: http
      description: >-
        Retrieve your API Key from [Dashboard API Keys
        Section](https://dashboard.interactly.ai/api-keys).

````